unit DllDemo;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, IntelAble;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Edit1: TEdit;
    Button2: TButton;
    Edit2: TEdit;
    Button3: TButton;
    Edit3: TEdit;
    Button4: TButton;
    Edit4: TEdit;
    Button5: TButton;
    Edit5: TEdit;
    Button6: TButton;
    Edit6: TEdit;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  Wrapper: WrapperHandle;
  mess: Integer;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  Wrapper := NewWrapper;
  mess := ConnectToIntelADP(Wrapper, $11111111, $11111111,
    $11111111, $11111111, '11111111-1111-1111-1111-111111111111');
  if mess = 0
  then Edit1.Text := 'Connection Successful'
  else Edit1.Text := GetErrorMessage(mess);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  mess := GetIntelADPStatus(Wrapper);

  if mess = 5
  then Edit2.Text := 'The Application is Authorized'
  else Edit2.Text := GetErrorMessage(mess);
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  mess := BeginIntelEvent(Wrapper);

  if mess = 0
  then Edit3.Text := 'Begining Event'
  else Edit3.Text := GetErrorMessage(mess);
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  mess := EndIntelEvent(Wrapper);

  if mess = 0
  then Edit4.Text := 'Ending Event'
  else Edit4.Text := GetErrorMessage(mess);
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
  DisconnectFromIntel(Wrapper);
  Edit5.Text := 'Disconnected';
end;

procedure TForm1.Button6Click(Sender: TObject);
begin
  mess := Upgrade(Wrapper, $22222222, $33333333,
    $44444444, $55555555);
  if mess = 0
  then Edit6.Text := 'Connection Successful'
  else Edit6.Text := GetErrorMessage(mess);
end;

end.
